import { AxiosError } from 'axios'
import { useMutation as useRQMutation, UseMutationOptions } from 'react-query'

import axiosService from 'src/services/axios-service'

export namespace DeletePatternMutation {
  export type Params = { id: string }

  export type Response = {}

  export const key = ['delete', 'pattern']

  export const mutationFn = (params: Params) =>
    axiosService
      .delete<Response>(`/pattern/${params.id}`)
      .then((res) => res.data)

  export const useMutation = (
    options: UseMutationOptions<Response, AxiosError, Params> = {}
  ) => {
    return useRQMutation(mutationFn, { ...options, mutationKey: key })
  }
}
